Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.design
Class JRDesignMultiAxisPlot

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseChartPlot
          net.sf.jasperreports.charts.base.JRBaseMultiAxisPlot
              net.sf.jasperreports.charts.design.JRDesignMultiAxisPlot

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRMultiAxisPlot, JRChangeEventsSupport, JRChartPlot, JRCloneable

    public class JRDesignMultiAxisPlot

extends JRBaseMultiAxisPlot

Contains information on how a multiple axis chart should be displayed. This information overrides the display information for all the charts sharing the single domain axis in the multiple axis chart.

Version:
  $Id: JRDesignMultiAxisPlot.java 3938 2010-08-19 14:59:36Z teodord $
Author:
  Barry Klawans (bklawans@users.sourceforge.net)
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot
`JRBaseChartPlot.JRBaseSeriesColor`

Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot
`JRChartPlot.JRSeriesColor`

Field Summary
`static java.lang.String` | `PROPERTY_AXES`
`static java.lang.String` | `PROPERTY_CHART`

Fields inherited from class net.sf.jasperreports.charts.base.JRBaseMultiAxisPlot
`axes`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot
`backcolor, backgroundAlphaFloat, foregroundAlphaFloat, labelRotationDouble, orientation, PROPERTY_BACKCOLOR, PROPERTY_BACKGROUND_ALPHA, PROPERTY_FOREGROUND_ALPHA, PROPERTY_LABEL_ROTATION, PROPERTY_ORIENTATION, PROPERTY_SERIES_COLORS, seriesColors`

Constructor Summary
`JRDesignMultiAxisPlot(JRChartPlot multiAxisPlot, JRChart chart)` Constructs a new plot by copying an existing one.

Method Summary
`void` | `addAxis(JRChartAxis axis)` Adds an axis to the plot.
`void` | `clearAxes()` Removes all the axes from the plot.
`JRChart` | `getChart()` Returns the definition of the multiple axis chart.
`void` | `setChart(JRDesignChart chart)` Sets the chart object that this plot belongs to.

Methods inherited from class net.sf.jasperreports.charts.base.JRBaseMultiAxisPlot
`clone, collectExpressions, getAxes`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot
`addSeriesColor, clearSeriesColors, clone, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getEventSupport, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot
`addSeriesColor, clearSeriesColors, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### PROPERTY_CHART

    public static final java.lang.String PROPERTY_CHART

See Also:
  Constant Field Values

### PROPERTY_AXES

    public static final java.lang.String PROPERTY_AXES

See Also:
  Constant Field Values

Constructor Detail

### JRDesignMultiAxisPlot

    public JRDesignMultiAxisPlot(JRChartPlot multiAxisPlot,
                                 JRChart chart)

  Constructs a new plot by copying an existing one.

  Parameters:
    `multiAxisPlot` - the plot to copy

Method Detail

### addAxis

    public void addAxis(JRChartAxis axis)

  Adds an axis to the plot. The axis contains the complete information on the data and rendering to use as well as where to draw the axis.

  Parameters:
    `axis` - the axis to add to the plot

### clearAxes

    public void clearAxes()

  Removes all the axes from the plot.

### getChart

    public JRChart getChart()

  Returns the definition of the multiple axis chart. This is separate from and distinct that the definition of the nested charts.

  Specified by:
    `getChart` in interface `JRChartPlot`
  Overrides:
    `getChart` in class `JRBaseChartPlot`
  Returns:
    the chart object for this plot

### setChart

    public void setChart(JRDesignChart chart)

  Sets the chart object that this plot belongs to. The chart object defines all the information about the multiple axis chart.

  Parameters:
    `chart` - the chart that this plot belongs to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com